Bug 526906 - Switching encryption on and off creates more and more luks devices
Switching encryption on and off creates more and more luks devices
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-02 09:02 EDT by Alexey Torkhov
Modified: 2010-02-23 14:34 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 14:34:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda.log (114.97 KB, text/plain)
2009-10-02 09:02 EDT, Alexey Torkhov
no flags Details
program.log (1.42 KB, text/plain)
2009-10-02 09:02 EDT, Alexey Torkhov
no flags Details
storage.log (191.84 KB, patch)
2009-10-02 09:03 EDT, Alexey Torkhov
no flags Details | Diff

  None (edit)
Description Alexey Torkhov 2009-10-02 09:02:25 EDT
Created attachment 363473 [details]
anaconda.log

Description of problem:
I was switching encryption checkbox on LVM PV on and off and when clicking on LVM button later it shows a bunch of /dev/luks* devices available.

Version-Release number of selected component (if applicable):
anaconda-12.32-1.fc12.i686
Comment 1 Alexey Torkhov 2009-10-02 09:02:49 EDT
Created attachment 363474 [details]
program.log
Comment 2 Alexey Torkhov 2009-10-02 09:03:11 EDT
Created attachment 363475 [details]
storage.log
Comment 3 David Lehman 2009-10-09 14:53:38 EDT
(In reply to comment #0)
> Description of problem:
> I was switching encryption checkbox on LVM PV on and off and when clicking on
> LVM button later it shows a bunch of /dev/luks* devices available.

Shows them where? On the shell on tty2? In the main partitioning screen? In the LVM Volume Group editor dialog?
Comment 4 Alexey Torkhov 2009-10-09 15:36:04 EDT
In LVM or RAID creation dialog.
Comment 5 David Lehman 2009-10-12 14:55:18 EDT
This is probably going to be resolved by the fix for bug 526899, which prevented anaconda's LUKS support module from loading, leading to major problems with device encryption.

Please verify with the version of anaconda noted in that bug and either mark as CLOSED->DUPLICATE if fixed or set back to ASSIGNED if not.
Comment 6 Bug Zapper 2009-11-16 08:11:57 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.